import { Component, Inject, OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { MatDialogRef, MAT_DIALOG_DATA } from '@angular/material/dialog';
import { DatasetDescriptionFormEditorModel } from '@app/ui/misc/dataset-description-form/dataset-description-form.model';

@Component({
	selector: 'app-add-account-dialog-component',
	templateUrl: 'add-account-dialog.component.html',
	styleUrls: ['./add-account-dialog.component.scss'],
})
export class AddAccountDialogComponent implements OnInit {

	datasetProfileDefinitionModel: DatasetDescriptionFormEditorModel;
	datasetProfileDefinitionFormGroup: FormGroup;
	progressIndication = false;

	constructor(
		public dialogRef: MatDialogRef<AddAccountDialogComponent>,
		@Inject(MAT_DIALOG_DATA) public data: any
	) {

	}

	ngOnInit(): void {

	}

	add(): void {
		this.dialogRef.close(true);
	}

	cancel(): void {
		this.dialogRef.close();
	}

	closeDialog(): void {
		this.dialogRef.close();
	}

}
