import { NgModule } from '@angular/core';
import { FormattingModule } from '@app/core/formatting.module';
import { AutoCompleteModule } from '@app/library/auto-complete/auto-complete.module';
import { CommonFormsModule } from '@common/forms/common-forms.module';
import { CommonUiModule } from '@common/ui/common-ui.module';
import { AddAccountDialogComponent } from './add-account/add-account-dialog.component';
import { UserProfileComponent } from './user-profile.component';
import { UserProfileRoutingModule } from './user-profile.routing';

@NgModule({
	imports: [
		CommonUiModule,
		CommonFormsModule,
		FormattingModule,
		UserProfileRoutingModule,
		AutoCompleteModule
	],
	declarations: [
		UserProfileComponent,
		AddAccountDialogComponent
	],
	entryComponents: [
		AddAccountDialogComponent
	]
})
export class UserProfileModule { }
